cURL
curl --request POST \ --url https://marketplace-api.sequence.app/amoy/rpc/Marketplace/ListCollectibles \ --header 'Content-Type: application/json' \ --header 'X-Access-Key: <api-key>' \ --data ' { "side": "unknown", "contractAddress": "<string>" } '
{ "collectibles": [ { "metadata": { "tokenId": "<string>", "name": "<string>", "attributes": [ {} ], "description": "<string>", "image": "<string>", "video": "<string>", "audio": "<string>", "properties": {}, "imageData": "<string>", "externalUrl": "<string>", "backgroundColor": "<string>", "animationUrl": "<string>", "decimals": 123, "updatedAt": "<string>", "assets": [ { "id": 123, "collectionId": 123, "tokenId": "<string>", "metadataField": "<string>", "url": "<string>", "filename": "<string>", "filesize": 123, "mimeType": "<string>", "width": 123, "height": 123, "updatedAt": "<string>" } ] } } ] }
Public project access key for authenticating requests obtained on Sequence Builder. Example Test Key: AQAAAAAAAEGvyZiWA9FMslYeG_yayXaHnSI
Represented as uint8 on the server side
unknown
listing
offer
Show child attributes
OK
[]CollectibleOrder
Was this page helpful?